test_gns_txt_lookup.sh 1.2 KB

12345678910111213141516171819202122232425262728293031323334353637
  1. #!/bin/sh
  2. # This file is in the public domain.
  3. trap "gnunet-arm -e -c test_gns_lookup.conf" INT
  4. LOCATION=$(which gnunet-config)
  5. if [ -z $LOCATION ]
  6. then
  7. LOCATION="gnunet-config"
  8. fi
  9. $LOCATION --version 1> /dev/null
  10. if test $? != 0
  11. then
  12. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  13. exit 77
  14. fi
  15. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  16. which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
  17. TEST_TXT="GNS powered txt record data"
  18. MY_EGO="myego"
  19. LABEL="testtxt"
  20. gnunet-arm -s -c test_gns_lookup.conf
  21. gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
  22. gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t TXT -V "$TEST_TXT" -e never -c test_gns_lookup.conf
  23. RES_TXT=`$DO_TIMEOUT gnunet-gns --raw -u $LABEL.$MY_EGO -t TXT -c test_gns_lookup.conf`
  24. gnunet-namestore -z $MY_EGO -d -n $LABEL -t TXT -V "$TEST_TXT" -e never -c test_gns_lookup.conf
  25. gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
  26. gnunet-arm -e -c test_gns_lookup.conf
  27. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  28. if [ "$RES_TXT" = "$TEST_TXT" ]
  29. then
  30. exit 0
  31. else
  32. echo "Failed to resolve to proper TXT, got '$RES_TXT'."
  33. exit 1
  34. fi